PHPExcel_Chart

# Class: PHPExcel_Chart_Legend

Source Location: /PHPExcel/Chart/Legend.php

### Class Overview

PHPExcel_Chart_Legend

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- POSITION_BOTTOM
- POSITION_LEFT
- POSITION_RIGHT
- POSITION_TOP
- POSITION_TOPRIGHT
- xlLegendPositionBottom
- xlLegendPositionCorner
- xlLegendPositionCustom
- xlLegendPositionLeft
- xlLegendPositionRight
- xlLegendPositionTop

### Methods

- getLayout
- getOverlay
- getPosition
- getPositionXL
- __construct
- setOverlay
- setPosition
- setPositionXL

### Class Details

[line 36]
PHPExcel_Chart_Legend

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method getLayout [line 167]

`PHPExcel_Chart_Layout getLayout( )`

Get Layout

#### Tags:

access: | public

[ Top ]

### method getOverlay [line 143]

`boolean getOverlay( )`

Get allow overlay of other elements?

#### Tags:

access: | public

[ Top ]

### method getPosition [line 97]

`string getPosition( )`

Get legend position as an excel string value

#### Tags:

access: | public

[ Top ]

### method getPositionXL [line 120]

`number getPositionXL( )`

Get legend position as an Excel internal numeric value

#### Tags:

access: | public

[ Top ]

### constructor __construct [line 85]

`PHPExcel_Chart_Legend __construct( [ $position = self::POSITION_RIGHT], [PHPExcel_Chart_Layout $layout = NULL], [ $overlay = FALSE])`

Create a new PHPExcel_Chart_Legend

#### Tags:

access: | public

#### Parameters:

| $position |
PHPExcel_Chart_Layout | $layout |
| $overlay |

[ Top ]

### method setOverlay [line 153]

`boolean setOverlay( [boolean $overlay = FALSE])`

Set allow overlay of other elements?

#### Tags:

access: | public

#### Parameters:

boolean | $overlay |

[ Top ]

### method setPosition [line 106]

`void setPosition( [string $position = self::POSITION_RIGHT])`

Get legend position using an excel string value

#### Tags:

access: | public

#### Parameters:

string | $position |

[ Top ]

### method setPositionXL [line 129]

`void setPositionXL( [number $positionXL = self::xlLegendPositionRight])`

Set legend position using an Excel internal numeric value

#### Tags:

access: | public

#### Parameters:

number | $positionXL |

[ Top ]

### Class Constants

#### POSITION_BOTTOM = 'b'

[line 48]

[ Top ]

#### POSITION_LEFT = 'l'

[line 47]

[ Top ]

#### POSITION_RIGHT = 'r'

[line 46]

[ Top ]

#### POSITION_TOP = 't'

[line 49]

[ Top ]

#### POSITION_TOPRIGHT = 'tr'

[line 50]

[ Top ]

#### xlLegendPositionBottom = -4107

[line 39]

Legend positions
[ Top ]

#### xlLegendPositionCorner = 2

[line 40]

[ Top ]

#### xlLegendPositionCustom = -4161

[line 41]

[ Top ]

#### xlLegendPositionLeft = -4131

[line 42]

[ Top ]

#### xlLegendPositionRight = -4152

[line 43]

[ Top ]

#### xlLegendPositionTop = -4160

[line 44]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:33 +0200 by phpDocumentor 1.4.4